# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-02-08 22:10
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('services', '0043_ipresource_checkmk_label'),
    ]

    operations = [
        migrations.CreateModel(
            name='Port',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('port', models.IntegerField(verbose_name='N° de port')),
                ('reserved', models.BooleanField(default=False, verbose_name='réservé')),
                ('notes', models.CharField(blank=True, default='', max_length=128)),
            ],
            options={
                'ordering': ('switch', 'port'),
            },
        ),
        migrations.CreateModel(
            name='Switch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='Nom')),
                ('size', models.IntegerField(validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(64)], verbose_name='Nombre de ports')),
                ('notes', models.TextField(blank=True, default='')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.AlterField(
            model_name='service',
            name='service_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='services', to='services.ServiceType', verbose_name='Type de service'),
        ),
        migrations.AlterField(
            model_name='serviceallocation',
            name='route',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='allocations', related_query_name='allocation', to='services.Route', verbose_name='Route'),
        ),
        migrations.AddField(
            model_name='port',
            name='service',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='ports', to='services.Service'),
        ),
        migrations.AddField(
            model_name='port',
            name='switch',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ports', to='services.Switch'),
        ),
        migrations.AlterUniqueTogether(
            name='port',
            unique_together=set([('switch', 'port')]),
        ),
    ]
